## org.eclipse.amp.escape.amf.ide3d
Class EscapeModel3DBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
                  org.eclipse.amp.amf.gen.ide.MetaABMBuilder
                      org.eclipse.amp.escape.amf.ide3d.EscapeModel3DBuilder

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

    public class EscapeModel3DBuilder

extends MetaABMBuilder

Field Summary

Fields inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`builder, currentMonitor, workflowPaths`

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`EscapeModel3DBuilder()`

Method Summary
`static MetaABMBuilder` `getEscapeBuilderDefault()` Returns the shared instance
`void` `loadPlugins()`

Methods inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`getBaseBuilderDefault, isCreateMarkers, loadPropertiesFromPrefs, loadPropertiesFromResource, setCreateMarkers`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, build, fullBuild, generateModel, getGenProperties, getResourceLoader, handleModifiedResource, incrementalBuild, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors`

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`clean, forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, getRule, getRule, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, setInitializationData, startupOnInitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscapeModel3DBuilder

    public EscapeModel3DBuilder()

Method Detail

### loadPlugins

    public void loadPlugins()

  Overrides:
    `loadPlugins` in class `MetaABMBuilder`

### getEscapeBuilderDefault

    public static MetaABMBuilder getEscapeBuilderDefault()

  Returns the shared instance

  Returns:
    the shared instance